version 3.4.3
-------------

 Bugs fixed:

  * Help: change wording in two sentences (Anders Jonsson) (#757730)
  * added -fPIC -DPIC to CFLAGS (#777448)

 New or updated application translations:

  * Danish (Alan Mortensen)
  * Friulian (Fabio Tomat)
  * Romanian (Daniel Șerbănescu)

 New or updated manual translations:

  * German (Mario Blättermann)
  * Polish (Piotr Drąg)
  * Romanian (Daniel Șerbănescu)
  * Swedish (Anders Jonsson)
  * čeština (Marek Černocký)

version 3.4.2
-------------

 Bugs fixed:

  * Application name not translated in about dialog
  * Fixed make distcheck

 New or updated application translations:

  * Polish (Piotr Drąg)
  * Português (Pedro Albuquerque)
  * Lietuvių (Aurimas Černius)
  * Türkçe (Gökhan Gurbetoğlu)
  * suomi (Jiri Grönroos)

 New or updated manual translations:

  * Swedish (Anders Jonsson)

version 3.4.1
-------------

 Bugs fixed:

  * Command line arguments not handled corrently.
  * Possible crash.

 New or updated application translations:

  * Bosnian (Samir Ribić)
  * Deutsch (Mario Blättermann)
  * French (Alain Lojewski)
  * Polish (Piotr Drąg)

version 3.4.0
-------------

 Bugs fixed:

  * Correctly update the play button icon after pausing.
  * Added symbolic app icon.

 New or updated application translations:

  * Bosnian (Samir Ribić)
  * Swedish (Anders Jonsson)

version 3.3.3
-------------

 Bugs fixed:

  * Allow to start with no drive.
  * Update the window content after changing the drive in the preferences.
  * Fixed window auto resize.

 New or updated application translations:

  * Basque (Iñaki Larrañaga Murgoitio)
  * Deutsch (Mario Blättermann)
  * Hungarian (Balázs Úr)
  * Indonesia (Andika Triwidada)
  * suomi (Jiri Grönroos)

version 3.3.2
-------------

 Bugs fixed:

  * Updated obsolete info in license text. (Andika Triwidadan) (#721455)
  * Properties: Set button arrow icons according to locale's text
    direction (Yosef Or Boczko) (#722513)
  * notification: Set arrow icons according to locale's text direction
    (Yosef Or Boczko) (#722176)
  * window: Set button arrow icons according to locale's text direction
    (Yosef Or Boczko) (#722174)
  * Require gtk+ 3.10 or higher.

 New or updated application translations:

  * Greek (Dimitris Spingos (Δημήτρης Σπίγγος))
  * Lietuvių (Aurimas Černius)
  * Serbian (Miroslav Nikolić)
  * Serbian (Мирослав Николић)
  * עברית (Yosef Or Boczko)

 New or updated manual translations:

  * Greek (Dimitris Spingos (Δημήτρης Σπίγγος))

version 3.3.1
-------------

 New features and user visible changes:

  * Added support for writing MP3 files.
  * Preferences: use a single page to show all the preferences.
  * Show a message bar while fetching the disc information.
  * Set button arrow icons according to locale's text direction. (Yosef Or Boczko)
  * Added AppData description.

 New or updated application translations:

  * Brazilian Portuguese (Enrico Nicoletto)
  * Czech (Marek Černocký)
  * Español (Daniel Mustieles)
  * Greek (Dimitris Spingos (Δημήτρης Σπίγγος))
  * Indonesia (Andika Triwidada)
  * Latvian (Rūdolfs Mazurs)
  * Polish (Piotr Drąg)
  * suomi (Jiri Grönroos)

 New or updated manual translations:

  * German (Mario Blättermann)

version 3.2.1
-------------

 Bugs fixed:

  * Correctly show an error dialog if some gstreamer plugin is missing.
  * Faster metadata download using read_sparse (#697966)
  * Use the 'popup' attribute for the GtkMenuButton.

 New or updated application translations:

  * Hungarian (Balázs Úr)

version 3.2.0
-------------

 New or updated manual translations:

  * Français (Julien Hardelin)

version 3.1.2
-------------

 New features and user visible changes:

  * Use a cover size of 100x100

 Bugs fixed:

  * Fixed cover image fetching.
  * Check for ice and sm pkg-config in configure. (#670941)

 Internal code changes:

  * Ported to libmusicbrainz5.
  * Ported to GStreamer 1.0

 New or updated application translations:

  * Brazilian Portuguese (Enrico Nicoletto)
  * Deutsch (Christian Kirbach)
  * French (Bruno Brouard)
  * Lietuvių (Aurimas Černius)
  * Polish (Piotr Drąg)
  * Serbian (Мирослав Николић)
  * Serbian (Miroslav Nikolić)
  * čeština (Marek Černocký)

 New or updated manual translations:

  * čeština (Marek Černocký)

version 3.1.1
-------------

 New features and user visible changes:

  * Implemented a GNOME 3 like interface.
  * Added an application menu.
  * Fixed the window size with big playlists.

 Bugs fixed:

  * Fixed skipping to a specific position.

 Internal code changes:

  * Ported to libmusicbrainz 4.
  * Use libcoverart (if available) to get the CD cover.
  * Use GResource to store ui files.
  * Ported to the new documentation infrastructure.
  * Removed markup from translatable messages.
  * Removed use of deprecated functions.

 New or updated application translations:

  * Czech (Marek Černocký)
  * Español; Castellano (Daniel Mustieles)
  * French (Bruno Brouard)
  * Galician (Fran Dieguez)
  * Indonesia (Andika Triwidada)
  * Polish (Piotr Drąg)
  * Romanian (Daniel Șerbănescu)
  * Slovenian (Matej Urbančič)
  * Swedish (Daniel Nylander)

 New or updated manual translations:

  * Español (Daniel Mustieles)
  * Français (Julien hardelin)

version 3.0.1
-------------

 Bugs fixed:

  * Fixed compilation linking explicitly to the math library.

 New or updated application translations:

  * French (Claude Paroz)
  * Japanese (Jiro Matsuzawa)

 New or updated manual translations:

  * Czech (Marek Černocký)
  * French (Julien Hardelin)
  * German (Mario Blättermann)
  * Slovenian (Andrej Žnidaršič)

version 3.0.0
-------------

 Internal code changes:

  * Removed use of deprecated code.

 New or updated manual translations:

  * Español (Daniel Mustieles)

version 2.90.2
--------------

	Bugs fixed:

	* Fixed loading of the CD when /dev/cdrom doesn't exits.
	* Removed wrong use of the dark theme.

	Internal code changes:

	* The Documentation has been ported to Mallard.
	* Fixed compilation warnings.

        New or updated application translations:

        * Czech (Adrian Guniš)
        * Deutsch (Mario Blättermann)
        * Japanese (Takeshi AIHANA)
        * Slovenian Translation (Andrej Žnidaršič)

version 2.90.1
--------------

	New features and user visible changes:

	* Ported to GTK+ 3.0, GSettings, GDBus, GtkApplication
	* Ported to libmusicbrainz 3
	* Added support for libnotify 0.7
	* Use symbolic icons
	* Preferer the dark theme
	* Added a high definition icon
	* Don't use the status icon with GNOME Shell

	Bugs fixed:

	* Fixed CD cover search

        New or updated application translations:

        * Basque (Iñaki Larrañaga Murgoitio)
        * Brazilian Portuguese (Mateus Zenaide)
        * Chinese (simplified) (du baodao)
        * Danish (Joe Hansen)
        * Español (Daniel Mustieles)
        * Hungarian (Gabor Kelemen)
        * Italian (Andrea Zagli)

        New or updated manual translations:

        * Español (Daniel Mustieles)

version 2.2.0
-------------

        Bugs fixed:

        * Fixed translation of some strings on the command line help (#625669)
	* Removed the use of glib/gtk+ deprecated functions.
	* Updated the README file.

        New or updated application translations:

        * Chinese (simplified) (du baodao)
        * Czech (Adrian Guniš)
        * French (Claude Paroz)
        * Italian (Paolo Bacchilega)
        * Japanese (Takeshi AIHANA)
        * Slovenian (Matej Urbančič)
        * Swedish (Daniel Nylander)

        New or updated manual translations:

        * Slovenian Translation (Matej Urbančič)

version 2.1.2
-------------

        Bugs fixed:

        * Flac quality level 9 does not work (#624188)
        * Make sure the cache directory exists before saving the file (#623607)
        * Save pixbufs.h in the build directory (#604437)
	* Fixed error when a gstreamer plugin is not available.

        New or updated application translations:

        * Basque (Iñaki Larrañaga Murgoitio)
        * Brazilian Portuguese (Djavan Fagundes)
        * Czech (Adrian Guniš)
        * Danish (Joe Hansen)
        * Español (Jorge González)
        * French (Claude Paroz)
        * German (Mario Blättermann)
        * INDONESIA (Andika Triwidada)
        * Japanese (Takeshi AIHANA)
        * Slovenian (Andrej Žnidaršič)

        New or updated manual translations:

        * Czech (Ondřej Pohl)
        * Español (Jorge González)
        * French (Julien Hardelin)
        * German (Christian Kirbach)

version 2.1.1
-------------

	New features and user visible changes

	* Ported to modern libraries, removed use of deprecated functions.
	* Always show the whole track list, without scrollbars.
	* Respect the autoplay setting even at start up time.
	* Added documentation for the preferences dialog.

version 2.0.1
-------------

	Bugs fixed:

	* Preferences dialog crash
	* Support transparent tray icon (#554876)
	* Notification action buttons are shown only if notification daemon
	  supports actions.
	* Fixed bug #573162 – Reports "Invalid" device for all my CD drives

        New or updated application translations:

        * Arab (Djihed Afifi)
        * Basque (Iñaki Larrañaga Murgoitio)
        * Brazilian Portuguese (Djavan Fagundes)
        * Czech (Adrian Guniš)
        * German (Helge Kreutzmann)

        New or updated manual translations:

        * German (Helge Kreutzmann)

version 2.0.0
-------------

	Bugs fixed:

	* Fixed bug #478435 – several memory leaks.
	* Open the 'copy cd' dialog on the same screen of the main window.

	Updated translations:

	Greek, Finnish, French, Basque, Nepali, Catalan, Occitan, Italian,
	Polish, Spanish, Japanese.

version 1.9.2
--------------

	New features:

	* Added ability to copy a disc, using nautilus-cd-burner.
	* Added option to automatically play after CD insertion.
	* Hide the statusbar by default.

version 1.9.1
--------------

	New features:

	* Ported to GStreamer 0.10 and MusicBrainz 2.1.  Removed CDDBSlave
	  support.
	* Moved the extraction options in the preferences dialog.
	* Added next/stop actions in the notification window.
	* Show the CD cover and other information in the tray icon tooltip.
 	* Use the xdg MUSIC dir as default destination to extract tracks.
	* Allow to change the volume with a single click and a drag action.
	* Show the artist column in the track list when the CD is of variuos
	  artists.
	* Use a single window for each CD drive.
	* Allow to extract the selected tracks from the track list context
	  menu.
	* Added a --stop command line option.
	* Download the cover from amazon if the asin is available.

	Notable bugfixes:

 	* More hig compliant menus.
	* Use stock icons as much as possible.  Update the icons when the icon
	  theme changes.  Install a theme-friendly application icon.
 	* Do not allow to open more than one preferences dialog.
	* Ported to GOption.
	* Save the cover at the original size, resize the cover before
	  displaying it.
	* Read the list of available drives only at startup time to not stop
	  playing the CD when the preferences dialog is opened.
	* Fixed extraction of tracks with spacial characters.
	* In the ripper dialog show the remaining time only when the forecast
	  starts to stabilize.

version 0.9.93
--------------
	* Notify the playing track when the main window is hidden. Requires
          libnotify.
	* Added the Quit command on the tray icon popup menu.
	* Fixed bug #312657: all tracks have a length of 0:00.
	* Fixed bug #315292: One error in the PO file.
	* Fixed bug #320699: the length bar stops when playing a song.
	* Fixed bug #312261: Gnome-doc-utils migration patch.
	* Requires libglade 2.5.0 or greater.
	* Requires gstreamer 0.8.11.

version 0.9.92
--------------
	* Automatically fetch the cover image on Internet for CDs the user
	  never setted the cover before.
	* Display elapsed time and estimated remaining time in the ripping
	  progress dialog.
        * Display the track number and the total number of tracks in the
          titlebar.
        * Use the vbr mode when creating mp3s if available.
	* Removed the Stop button from the toolbar.

version 0.9.91
--------------
	* Added goobox/general/use_sound_juicer gconf preference to use
	  Sound Juicer to extract tracks instead of the internal ripper.
	* Fixed extraction to non-local folders.
	* Use the filechooserbutton if gtk+ >= 2.5.0 is available.
	* Add ellipses to the track names if names do not fit in the
	  track list.
	* Get a valid filename from the track title when extracting.

version 0.9.90
--------------
	* Added multimedia keys support.
	* Added a track status icon in the track number column.
	* Allow the ripper to write to non-local destinations.
	* Add encoder, encoder_version and year tags to the ripped tracks.
	* Save and restore the track list sort method and order.

version 0.7.2
-------------
	* Extract dialog: Added extraction folder to the advanced options,
          and make the advanced options visible the first time the dialog is
          displayed.
	* Added queue in the playing pipeline to cope with slow computers.
	* Added manual support.  Written a simple manual with a small
	  introduction and the keyword shortcuts reference.

version 0.7.1
-------------
	* Fixed compilation with gtk+ 2.4.x

version 0.7.0
-------------
	* Moved encoding options to the preferences dialog.
	* Moved the volume button on the toolbar.
	* Added ability to save the playlist of the extracted tracks.
	* Added ability to control the player with the command line arguments,
	  use 'goobox --help' for a complete list of all the available
	  commands.
	* Added ellipsizing to the album and artist labels if gtk+ version is
          2.5.0 or higher.
	* Added ability to add/change the cover image dropping an image over
	  the cover button.
	* Fixed statusbar text when no metadata is available.
	* Other minor UI enhancements.
	* Display play, pause and stop command labels on the toolbar when the
	  user uses the 'text beside icons' toolbar style.

version 0.6.0
-------------
	* Added total song time to the player info.
	* Added CD year to the statubar if available.
	* Restore the window position after clicking on the notification area
	  icon.
	* Use the 192 Kbps bitrate instead of the non-standard 196 Kbps.
	* Fixed stock icons display.
	* Added --play option to automatically play after startup.

version 0.5.0
-------------
	* Added ability to choose the bitrate when encoding.
	* Fixed ui freeze after playing a song.
	* Added preliminary FreeBSD support.
	* Minor usability improvements.

version 0.4.0
-------------
	* Recognize mixed CDs as good CDs to play.
	* Update the playlist on the fly when PlayAll or Shuffle options change.
	* Make the track list insensitive if no CD is present.
	* Always perform an eject when the Eject button is pressed, instead of
	  checking whether the tray is open (which is bogus) and close the
	  tray if it's open.
	* Added an image preview to the 'Cover Chooser' dialog.
	* Use gnome-vfs to search on Internet instead of using libneon.
	* Added a Revert button to the 'Choose Cover' dialog.

version 0.3.0
-------------
	* Added ability to associate a cover image to a CD, the image can
	  be picked from the local disk or searched over Internet with
	  Google.
	* Added ability to hide the main window leaving only the tray icon.
	* Read CD tracks list asynchronously.
	* Change volume when scrolling up or down over the volume buttom.
	* Update the time label in real-time while dragging the time scale.
	* Use standard stock icons when appropriate.

version 0.2.0
-------------
	* Added the volume control.
	* Added a "play selected track" command in the context menu.
	* Added a --device command line argument.
	* Session support.

version 0.1.0
-------------
	* First public version.
